> ## Documentation Index
> Fetch the complete documentation index at: https://docs.0d.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Vault Statistics

> Get current statistics for a vault including TVL and APR



## OpenAPI

````yaml open-apis/0d.json get /vaults/{vault_id}/stats
openapi: 3.1.0
info:
  title: zerod_api
  description: 0D Master API for vaults
  license:
    name: MIT
    identifier: MIT
  version: 0.1.0
servers:
  - url: https://api.0d.finance/{version}
    variables:
      version:
        default: v1
        enum:
          - v1
security: []
tags:
  - name: zerod_bin
    description: 0d, master api
  - name: User
    description: User profile endpoints
  - name: Vaults
    description: Vault management endpoints
paths:
  /vaults/{vault_id}/stats:
    get:
      tags:
        - Vaults
      operationId: get_vault_stats
      parameters:
        - name: vault_id
          in: path
          description: Vault identifier
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Vault statistics
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetStatsDTO'
        '404':
          description: Vault not found
        '500':
          description: Internal server error
components:
  schemas:
    GetStatsDTO:
      type: object
      required:
        - tvl
        - past_month_apr_pct
      properties:
        past_month_apr_pct:
          type: number
          format: double
        tvl:
          type: string

````